package com.djhk.uav.uav.service;

import com.djhk.uav.uav.model.UavOperatorProfession;

import java.util.List;

/**
 * 飞手管理Service接口
 *
 * @author jiachengshuai
 * @date 2022-08-30
 */
public interface IUavOperatorProfessionService
{
    /**
     * 查询专业情况
     *
     * @param id 专业情况主键
     * @return 专业情况
     */
    public UavOperatorProfession selectUavOperatorById(Long id);

    /**
     * 查询专业情况列表
     *
     * @param uavOperator 专业情况
     * @return 专业情况集合
     */
    public List<UavOperatorProfession> selectUavOperatorList(UavOperatorProfession uavOperator);


    /**
     * 新增专业情况
     *
     * @param uavOperator 专业情况
     * @return 结果
     */
    public int insertUavOperator(UavOperatorProfession uavOperator);

    /**
     * 修改专业情况
     *
     * @param uavOperator 专业情况
     * @return 结果
     */
    public int updateUavOperator(UavOperatorProfession uavOperator);

    /**
     * 删除专业情况
     *
     * @param id 专业情况主键
     * @return 结果
     */
    public int deleteUavOperatorById(Long id);

    /**
     * 批量删除专业情况
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavOperatorByIds(Long[] ids);

}
